Retrieves the db report with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "f306eb68-06ac-422a-9c45-c9a23e7ecbf8",
"db_report_type_id": "f02ff494-6b14-444b-9927-3d9ca23cdd4d",
"user_id": "209a3747-f857-448c-a381-fa4db17dd255",
"company_id": "a55f9eef-f264-4b7d-a98a-26e7c2076c1e",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "69cc74ff-a1a9-4277-a70a-56adfaaeded4",
"id_in_table": "38e312f0-4eeb-4ed6-be2e-1e841c0d1179",
"date_last_update": "2026-03-06T12:46:59.503388+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-03-06T12:46:59.503388+00:00"
}